Contacts
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
A page number within the paginated result set.
The primary key of a company to filter on.
A comma separated list of company primary keys.
12345,9876Get successful
1GET /api/v4/contacts/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
Get successful
{
"count": 1,
"next": "text",
"previous": "text",
"results": [
{
"uid": "687cddac-dbd2-11ea-9024-0242ac130006",
"created": "2020-12-22T15:31:39.26167Z",
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
},
"first_name": "Adèle",
"last_name": "Bouvet",
"email": "adele.bouvet@gmail.com",
"phone_number": "+33600000000",
"fax_number": "text",
"remote_id": "CONTACT_123",
"is_manager": true,
"has_pending_invite": true,
"is_invitable": true,
"invitation_link": "text"
}
]
}Add a contact to a specific company in the requester's address book.
The company can be identified either by its pk or its remote_id.
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
687cddac-dbd2-11ea-9024-0242ac130006Date of creation on our server
2020-12-22T15:31:39.26167ZThe id of the contact in your system
CONTACT_123Create successful
687cddac-dbd2-11ea-9024-0242ac130006Date of creation on our server
2020-12-22T15:31:39.26167ZAdèleBouvetadele.bouvet@gmail.com+33600000000The id of the contact in your system
CONTACT_123Ignore. Dashdoc technical data.
Ignore. Dashdoc technical data.
Ignore. Dashdoc technical data.
POST /api/v4/contacts/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 597
{
"uid": "687cddac-dbd2-11ea-9024-0242ac130006",
"created": "2020-12-22T15:31:39.26167Z",
"company": {
"pk": 23498,
"remote_id": "text",
"name": "Transport Bouvet",
"trade_number": "text",
"country": "FR",
"settings_contract_html": "text",
"settings_logo": "text",
"settings_stamp": "text",
"settings_print_mode": true,
"settings_special_agreements": "text",
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"vat_number": "text",
"is_verified": "text"
},
"first_name": "text",
"last_name": "text",
"email": "name@gmail.com",
"phone_number": "text",
"fax_number": "text",
"remote_id": "CONTACT_123"
}Create successful
{
"uid": "687cddac-dbd2-11ea-9024-0242ac130006",
"created": "2020-12-22T15:31:39.26167Z",
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
},
"first_name": "Adèle",
"last_name": "Bouvet",
"email": "adele.bouvet@gmail.com",
"phone_number": "+33600000000",
"fax_number": "text",
"remote_id": "CONTACT_123",
"is_manager": true,
"has_pending_invite": true,
"is_invitable": true,
"invitation_link": "text"
}Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
If you choose to identify an object with its remote_id instead of its uid then
-
replace the
uidvalue with theremote_idvalue in the URL -
specify
lookup_field=remote_idin the query parameters
Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)
Empty body
No content
DELETE /api/v4/contacts/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
Empty body
No content
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
If you choose to identify an object with its remote_id instead of its uid then
-
replace the
uidvalue with theremote_idvalue in the URL -
specify
lookup_field=remote_idin the query parameters
Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)
Get successful
687cddac-dbd2-11ea-9024-0242ac130006Date of creation on our server
2020-12-22T15:31:39.26167ZAdèleBouvetadele.bouvet@gmail.com+33600000000The id of the contact in your system
CONTACT_123Ignore. Dashdoc technical data.
Ignore. Dashdoc technical data.
Ignore. Dashdoc technical data.
GET /api/v4/contacts/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
Get successful
{
"uid": "687cddac-dbd2-11ea-9024-0242ac130006",
"created": "2020-12-22T15:31:39.26167Z",
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
},
"first_name": "Adèle",
"last_name": "Bouvet",
"email": "adele.bouvet@gmail.com",
"phone_number": "+33600000000",
"fax_number": "text",
"remote_id": "CONTACT_123",
"is_manager": true,
"has_pending_invite": true,
"is_invitable": true,
"invitation_link": "text"
}Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
If you choose to identify an object with its remote_id instead of its uid then
-
replace the
uidvalue with theremote_idvalue in the URL -
specify
lookup_field=remote_idin the query parameters
Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)
Update successful
687cddac-dbd2-11ea-9024-0242ac130006Date of creation on our server
2020-12-22T15:31:39.26167ZAdèleBouvetadele.bouvet@gmail.com+33600000000The id of the contact in your system
CONTACT_123Ignore. Dashdoc technical data.
Ignore. Dashdoc technical data.
Ignore. Dashdoc technical data.
PATCH /api/v4/contacts/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 487
{
"company": {
"pk": 23498,
"remote_id": "text",
"name": "Transport Bouvet",
"trade_number": "text",
"country": "FR",
"settings_contract_html": "text",
"settings_logo": "text",
"settings_stamp": "text",
"settings_print_mode": true,
"settings_special_agreements": "text",
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"vat_number": "text",
"is_verified": "text"
},
"first_name": "text",
"last_name": "text",
"email": "name@gmail.com",
"phone_number": "text",
"fax_number": "text"
}Update successful
{
"uid": "687cddac-dbd2-11ea-9024-0242ac130006",
"created": "2020-12-22T15:31:39.26167Z",
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
},
"first_name": "Adèle",
"last_name": "Bouvet",
"email": "adele.bouvet@gmail.com",
"phone_number": "+33600000000",
"fax_number": "text",
"remote_id": "CONTACT_123",
"is_manager": true,
"has_pending_invite": true,
"is_invitable": true,
"invitation_link": "text"
}Last updated
Was this helpful?